<div class="header-container">
  <div class="logo-container">
    <a (click)="toggleSidebar()" href="#" class="sidebar-toggle">
      <nb-icon icon="menu-2-outline"></nb-icon>
    </a>
    <a class="logo" href="/">Examinator</a>
  </div>
</div>

<div class="header-container">
  <nb-toggle [(ngModel)]="dark" (checkedChange)="toggleDark($event)">Tamna tema</nb-toggle>
</div>


<div class="header-container">
  <nb-actions size="small">
    <nb-action class="user-action" *nbIsGranted="['view', 'user']" >
      <div *ngIf="user; else elseBlock">
        <nb-user [nbContextMenu]="userMenu"
                 [onlyPicture]="userPictureOnly"
                 [name]="user?.name"
                 [picture]="user?.picture">
        </nb-user>
      </div>
      <ng-template #elseBlock>
        <div style="margin-right: 1vw"><a href="/auth/register">Registracija</a></div> <div><a href="/auth/login">Prijava</a></div>
      </ng-template>

    </nb-action>
  </nb-actions>
</div>
